package net.zenrindatacom.geofenceapp_sample.activity.general;

import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

import net.zenrindatacom.geofenceapp_sample.R;

import java.util.HashMap;

/**
 * Hash情報を表示する汎用画面
 */
public class HashInformationActivity extends AppCompatActivity {

    /** Intent経由で渡される画面タイトル名のキー */
    public static final String INTENT_KEY_TITLE = "IntentKeyTitle";

    /** Intent経由で渡されるHashMap情報のキー */
    public static final String INTENT_KEY_HASHMAP_INFO = "IntentKeyHashMap";

    /** データ表示部 */
    private TextView mTextView;

    /**
     * onCreate
     */
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.hash_information);
        mTextView = findViewById(R.id.tv_information_check);
        initialize();
    }

    /**
     * 表示データ初期化
     */
    private void initialize() {

        mTextView.setText("");

        Intent intent = this.getIntent();

        //画面タイトル
        setTitle(intent.getStringExtra(INTENT_KEY_TITLE));

        //表示するHashMapデータ
        HashMap<String, Object> hashData;

        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.TIRAMISU) {
            //noinspection unchecked
            hashData = (HashMap<String, Object>) intent.getSerializableExtra(INTENT_KEY_HASHMAP_INFO, HashMap.class);
        } else {
            //noinspection unchecked
            hashData = (HashMap<String, Object>) intent.getSerializableExtra(INTENT_KEY_HASHMAP_INFO);
        }

        for (String parentKey : hashData.keySet()) {
            @SuppressWarnings("unchecked")
            HashMap<String, Object> information = (HashMap<String, Object>) hashData.get(parentKey);
            if (null == information)
                continue;

            mTextView.append("****************************************\n");
            for (String key : information.keySet()) {
                String str = String.format("\t%s : %s\n", key, information.get(key));
                mTextView.append(str);
            }
            mTextView.append("****************************************\n");
        }
    }
}
