package net.zenrindatacom.geofenceapp_sample.http;

/**
 * トークン発行サーバへアクセスした際に発生する例外クラス
 *
 * @author N.Miyahara
 */
public class TokenServerException extends Exception {
    public enum ErrorType {
        /** タイムアウト */
        TIMEOUT,
        /** サーバーエラー（認証失敗） */
        SERVER_AUTH_FAILED,
        /** サーバエラー(上記以外) */
        SERVER_ERROR,
        /** その他のエラー */
        ETC_ERROR
    }

    /** エラータイプ */
    private final ErrorType errorType;

    public TokenServerException(ErrorType errorType) {
        this.errorType = errorType;
    }

    public TokenServerException(ErrorType errorType, Exception e) {
        super(e);
        this.errorType = errorType;
    }

    @SuppressWarnings("unused")
    public ErrorType getErrorType() {
        return errorType;
    }
}
