package net.zenrindatacom.geofenceapp_sample.locationlib;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;

import net.zenrindatacom.geofenceapp_sample.application.SampleApplication;

/**
 * 「位置測位ライブラリ」からの通知を受け取るクラス
 * 　・通知は本サービスで受け取り、通知内容はIntentで受け取る
 * 　・マニュフェストファイルへの定義を忘れないようにする事
 */
public class LocationLibReceiveService extends Service {
    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }

    @Override
    public int onStartCommand(Intent intent, int flags, int startId) {
        int startFlag = super.onStartCommand(intent, flags, startId);
        if (intent == null) {
            return startFlag;
        }

        //通知情報をApplicationクラスをとおして, Activityに送る
        SampleApplication application = (SampleApplication) getApplication();
        application.notifyInformation(intent);

        return startFlag;
    }
}
